Syncro SVN Client

Leopard

Are you missing a feature? Request it's implementation here.

Leopard

Postby derek » Tue Oct 30, 2007 12:41 pm

HI

Will Syncro SVN Client work under Mac OSX 10.5?

:roll:
derek
 
Posts: 1
Joined: Tue Oct 30, 2007 12:38 pm
Location: Scotland

Postby sorin » Wed Oct 31, 2007 10:10 am

Hello,

It seems there are problems running Syncro SVN Client with Apple's JVM 1.6 that comes with Mac OS X 10.5 (Leopard). This JVM version from Apple is not supported yet as it was not publicly available before and we did not test it. It will be supported after we test Syncro SVN Client with it and fix any errors. Until we do that you should run the SVN client with Apple's JVM 1.5 by changing the value of the key JVMVersion from 1.5+ to 1.5* in the file Info.plist of the Syncro SVN Client application. You edit that file with Control + click on the Syncro SVN Client icon, select Show Package Contents from the popup menu and open the Contents folder.


Regards,
Sorin
sorin
 
Posts: 171
Joined: Tue Feb 13, 2007 3:45 pm

Postby sorin » Tue Nov 13, 2007 11:42 am

An update: Mac OS X 10.5 (Leopard) was shipped with the Apple's Java 1.5 virtual machine. Apple's Java virtual machine 1.6 was released before Leopard and it works on OS X 10.4 (Tiger) but if it is installed on Leopard it crashes with a segmentation fault at startup. This is why there is no official commitment for Java 1.6 on Leopard from Apple and why the Apple folks decided to ship Leopard with their older JVM, that is Apple's JVM 1.5. That means Syncro SVN Client runs without problems on Leopard.


Regards,
Sorin
sorin
 
Posts: 171
Joined: Tue Feb 13, 2007 3:45 pm


Return to Feature requests

Who is online

Users browsing this forum: No registered users and 1 guest


© 2002-2013 SyncRO Soft Ltd. All rights reserved. | Sitemap | Terms of Use | Privacy Policy | This website was created & generated with <oXygen/>® XML Editor